OpenTTD Source: CYapfRailSegmentKey Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
CYapfRailSegmentKey Struct Reference

key for cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Member Functions
| CYapfRailSegmentKey (const CYapfNodeKeyTrackDir &node_key)
void | Set (const CYapfRailSegmentKey &src)
void | Set (const CYapfNodeKeyTrackDir &node_key)
int32_t | CalcHash () const
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
bool | operator== (const CYapfRailSegmentKey &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
uint32_t | value

## Detailed Description

key for cached segment cost for rail YAPF

Definition at line 20 of file yapf_node_rail.hpp.

## Constructor & Destructor Documentation

## ◆ CYapfRailSegmentKey()

CYapfRailSegmentKey::CYapfRailSegmentKey | ( | const CYapfNodeKeyTrackDir & | node_key | ) |
| inline

Definition at line 23 of file yapf_node_rail.hpp.

## Member Function Documentation

## ◆ CalcHash()

int32_t CYapfRailSegmentKey::CalcHash | ( |  | ) | const
| inline

Definition at line 38 of file yapf_node_rail.hpp.

## ◆ Dump()

void CYapfRailSegmentKey::Dump | ( | DumpTarget & | dmp | ) | const
| inline

Definition at line 58 of file yapf_node_rail.hpp.

## ◆ GetTile()

TileIndex CYapfRailSegmentKey::GetTile | ( |  | ) | const
| inline

Definition at line 43 of file yapf_node_rail.hpp.

## ◆ GetTrackdir()

Trackdir CYapfRailSegmentKey::GetTrackdir | ( |  | ) | const
| inline

Definition at line 48 of file yapf_node_rail.hpp.

## ◆ operator==()

bool CYapfRailSegmentKey::operator== | ( | const CYapfRailSegmentKey & | other | ) | const
| inline

Definition at line 53 of file yapf_node_rail.hpp.

## ◆ Set() [1/2]

void CYapfRailSegmentKey::Set | ( | const CYapfNodeKeyTrackDir & | node_key | ) |
| inline

Definition at line 33 of file yapf_node_rail.hpp.

## ◆ Set() [2/2]

void CYapfRailSegmentKey::Set | ( | const CYapfRailSegmentKey & | src | ) |
| inline

Definition at line 28 of file yapf_node_rail.hpp.

## Field Documentation

## ◆ value

uint32_t CYapfRailSegmentKey::value

Definition at line 21 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp